/******/ (() => { // webpackBootstrap
/******/ 	"use strict";
/******/ 	var __webpack_modules__ = ({

/***/ "./src/graphql/gql/s-pool-query.gql":
/*!******************************************!*\
  !*** ./src/graphql/gql/s-pool-query.gql ***!
  \******************************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = ("query($poolId: Int!) {\n  pool(id: $poolId) {\n    street_number\n    full_address\n    short_address\n    available_address\n    amenities {\n      premium\n      name\n      image\n      id\n      icon\n      category\n      active\n    }\n    availabilityResumesAt\n    availability_window\n    advance_notice\n    additional_rules\n    additional_premium_ameneties {\n      amenity {\n        active\n        category\n        icon\n        id\n        image\n        name\n        premium\n      }\n      description\n      enable\n      id\n      is_pending_approval\n      main_category\n      pool_id\n      price_amount\n      price_type\n      square_footage\n      title\n    }\n    additional_amenities\n    access_photos {\n      image_url\n    }\n    accepted_good_neighbor_terms\n    available_date_from_with_notice\n    available_days\n    available_from\n    available_time_from_with_notice\n    available_to\n    be_home_other_message\n    bookings {\n      to\n      swimmer {\n        img_url\n      }\n      status\n      id\n      from\n      discount_first_bookings_used\n      date\n    }\n    calculatedHourlyPrice\n    calculated_per_guest_price\n    can_send_fans_message\n    can_update_insurance\n    cancellation_policy {\n      discount\n      hours\n      id\n      description\n      color\n      active\n    }\n    cancellation_policy_id\n    city\n    createdBy {\n      firstname\n      email_verified_at\n      email\n      formatted_name\n      lastname\n      phone_number\n      mobile_number\n      mobile_number_verified_at\n      zipcode\n      facebook_id\n    }\n    created_at\n\n    deep_end\n    custom_listing_type\n    default_instant_booking\n    description\n    discount_days {\n      discount_percentage\n      day_number\n    }\n    distance\n    discount_first_bookings\n    guest_leads\n    guests_children_allowed\n    guests_infants_allowed\n    guests_pets_allowed\n    hour_from\n    hour_to\n    hourly_price\n    id\n    images {\n      url\n    }\n    instant_booking\n    instant_group_size\n    isAvailable\n    isInSeason\n    is_added_discount\n    is_covered_by_insurance\n    is_discount_first_bookings_available\n    is_security_cameras\n    is_verified\n    is_vip\n    last_step\n    latitude\n    latitude_round\n    listing_type\n    longitude\n    longitude_round\n    max_guests\n    max_step\n    zip_code\n    water_system\n    unavailable_dates\n    total_fans\n    title\n    tips {\n      images {\n        medium\n        small\n        large\n      }\n      description\n    }\n    min_booking_length\n    min_buffer_time\n    months {\n      is_available\n      month_number\n    }\n    time_zone\n    swimply_covers_multidip_discount\n    successfulBookingCount\n    status_name\n    status\n    state\n    special_access_instruction\n    space_size\n    shallow_end\n    seasonResumesAt\n    rules {\n      name\n      id\n      icon\n      active\n    }\n    months_count\n    multi_discount {\n      type\n      discount\n      bookings_number\n    }\n    one_time_guests\n    number_of_parking_spaces\n    multi_discount_max\n    other_furniture\n    owner_verifications {\n      successful_booking\n      pool_proof_url\n      passport_drive_url\n      img_proof_approved\n      img_id_approved\n    }\n    owner_verifications_private {\n      successful_booking\n      pool_proof_url\n      passport_drive_url\n      img_proof_approved\n      img_id_approved\n    }\n    parking_context\n    pause_end\n    pause_start\n    pool_booking_available_date_count\n    pool_booking_available_time_count\n    pool_booking_successful_count\n    pool_furniture {\n      persons_number\n      item_amount\n      furniture {\n        question\n        name\n        image\n        id\n        icon\n        active\n      }\n    }\n    pool_instant {\n      time\n      date\n    }\n    pool_length\n    pool_type\n    pool_unavailabilities {\n      time\n      date\n    }\n    pool_unavailability_days_count\n    pool_unavailability_time_count\n    pool_unavailability_time_low_count\n    pool_width\n    premium_amenities {\n      title\n      square_footage\n      price_type\n      price_amount\n      pool_id\n      main_category\n      is_pending_approval\n      id\n      enable\n      description\n      amenity {\n        active\n        category\n        icon\n        id\n        image\n        name\n        premium\n      }\n    }\n    price_per_guest\n    price_per_guest_enabled\n    price_per_guest_min_capacity\n    price_tiers {\n      title\n      min_guests\n      max_guests\n      listing_price {\n        price\n        updated_at\n        created_at\n      }\n      default_price\n      id\n    }\n    privacy_id\n    privacy_policy {\n      title\n      id\n      description\n    }\n    rating\n    repeat_guests\n    reservation_be_home\n    restroom_access\n    restroom_access_type\n    restroom_description\n    reviews {\n      rating\n      id\n      created_at\n      commented_by_private {\n        firstname\n        date_birthday\n        country\n        country_code\n        created_at\n        created_at_year\n        facebook_id\n        phone_number\n        isAnyPool\n        rating\n        description\n      }\n    }\n    reviewsCount\n  }\n}");

/***/ }),

/***/ "./src/cache.ts":
/*!**********************!*\
  !*** ./src/cache.ts ***!
  \**********************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "default": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
class CacheKeys {
    constructor() {
        // current keys used.
        this._currentKeys = [];
    }
    push(i) {
        this._currentKeys.push(i);
    }
    printDetails() {
        if (this._currentKeys.length > 0) {
            console.log('--MISSED KEYS');
            console.log(JSON.stringify(this._currentKeys));
        }
    }
}
// Export singleton for use by loader and plugin.
/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (new CacheKeys());


/***/ }),

/***/ "./src/config/env-config.ts":
/*!**********************************!*\
  !*** ./src/config/env-config.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   config: () => (/* binding */ config)
/* harmony export */ });
/* harmony import */ var envalid__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! envalid */ "envalid");
/* harmony import */ var envalid__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(envalid__WEBPACK_IMPORTED_MODULE_0__);

const config = (0,envalid__WEBPACK_IMPORTED_MODULE_0__.cleanEnv)(process.env, {
    S_AUTHORIZATION_HEADER: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)(),
    S_GRAPHQL_URL: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)(),
    S_START_SEQ: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.num)(),
    S_END_SEQ: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.num)(),
    MONGO_URL: (0,envalid__WEBPACK_IMPORTED_MODULE_0__.str)({ devDefault: 'mongodb://localhost:27017/S_MARKET' }),
});


/***/ }),

/***/ "./src/config/index.ts":
/*!*****************************!*\
  !*** ./src/config/index.ts ***!
  \*****************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   config: () => (/* reexport safe */ _env_config__WEBPACK_IMPORTED_MODULE_0__.config)
/* harmony export */ });
/* harmony import */ var _env_config__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! ./env-config */ "./src/config/env-config.ts");



/***/ }),

/***/ "./src/nodeFetch.ts":
/*!**************************!*\
  !*** ./src/nodeFetch.ts ***!
  \**************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   fetchData: () => (/* binding */ fetchData)
/* harmony export */ });
/* harmony import */ var node_fetch__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! node-fetch */ "node-fetch");
/* harmony import */ var node_fetch__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(node_fetch__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _cache__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ./cache */ "./src/cache.ts");
// import fetch from 'isomorphic-fetch';


async function fetchData(graphqlUrl, token, query, variables = {}) {
    const res = await node_fetch__WEBPACK_IMPORTED_MODULE_0___default()(graphqlUrl, {
        method: "POST",
        headers: {
            "Content-Type": "application/json",
            'Authorization': `Bearer ${token}`,
        },
        body: JSON.stringify({ query, variables }),
        redirect: 'follow',
    }).catch((err) => console.log(err.message));
    if (res) {
        try {
            const data = await res.json();
            return data;
        }
        catch (err) {
            _cache__WEBPACK_IMPORTED_MODULE_1__["default"].push(variables.poolId || variables.userId);
            console.log('--errr', err);
            console.log('-data---', res);
        }
    }
    return {};
}


/***/ }),

/***/ "./src/store/curd-insert.ts":
/*!**********************************!*\
  !*** ./src/store/curd-insert.ts ***!
  \**********************************/
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.r(__webpack_exports__);
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   mongoClient: () => (/* binding */ mongoClient)
/* harmony export */ });
/* harmony import */ var mongodb__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! mongodb */ "mongodb");
/* harmony import */ var mongodb__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(mongodb__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! ../config */ "./src/config/index.ts");


const mongoClient = new mongodb__WEBPACK_IMPORTED_MODULE_0__.MongoClient(_config__WEBPACK_IMPORTED_MODULE_1__.config.MONGO_URL);



/***/ }),

/***/ "dotenv":
/*!*************************!*\
  !*** external "dotenv" ***!
  \*************************/
/***/ ((module) => {

module.exports = require("dotenv");

/***/ }),

/***/ "envalid":
/*!**************************!*\
  !*** external "envalid" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("envalid");

/***/ }),

/***/ "mongodb":
/*!**************************!*\
  !*** external "mongodb" ***!
  \**************************/
/***/ ((module) => {

module.exports = require("mongodb");

/***/ }),

/***/ "node-fetch":
/*!*****************************!*\
  !*** external "node-fetch" ***!
  \*****************************/
/***/ ((module) => {

module.exports = require("node-fetch");

/***/ }),

/***/ "reflect-metadata":
/*!***********************************!*\
  !*** external "reflect-metadata" ***!
  \***********************************/
/***/ ((module) => {

module.exports = require("reflect-metadata");

/***/ })

/******/ 	});
/************************************************************************/
/******/ 	// The module cache
/******/ 	var __webpack_module_cache__ = {};
/******/ 	
/******/ 	// The require function
/******/ 	function __webpack_require__(moduleId) {
/******/ 		// Check if module is in cache
/******/ 		var cachedModule = __webpack_module_cache__[moduleId];
/******/ 		if (cachedModule !== undefined) {
/******/ 			return cachedModule.exports;
/******/ 		}
/******/ 		// Create a new module (and put it into the cache)
/******/ 		var module = __webpack_module_cache__[moduleId] = {
/******/ 			// no module.id needed
/******/ 			// no module.loaded needed
/******/ 			exports: {}
/******/ 		};
/******/ 	
/******/ 		// Execute the module function
/******/ 		__webpack_modules__[moduleId](module, module.exports, __webpack_require__);
/******/ 	
/******/ 		// Return the exports of the module
/******/ 		return module.exports;
/******/ 	}
/******/ 	
/************************************************************************/
/******/ 	/* webpack/runtime/compat get default export */
/******/ 	(() => {
/******/ 		// getDefaultExport function for compatibility with non-harmony modules
/******/ 		__webpack_require__.n = (module) => {
/******/ 			var getter = module && module.__esModule ?
/******/ 				() => (module['default']) :
/******/ 				() => (module);
/******/ 			__webpack_require__.d(getter, { a: getter });
/******/ 			return getter;
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/define property getters */
/******/ 	(() => {
/******/ 		// define getter functions for harmony exports
/******/ 		__webpack_require__.d = (exports, definition) => {
/******/ 			for(var key in definition) {
/******/ 				if(__webpack_require__.o(definition, key) && !__webpack_require__.o(exports, key)) {
/******/ 					Object.defineProperty(exports, key, { enumerable: true, get: definition[key] });
/******/ 				}
/******/ 			}
/******/ 		};
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/hasOwnProperty shorthand */
/******/ 	(() => {
/******/ 		__webpack_require__.o = (obj, prop) => (Object.prototype.hasOwnProperty.call(obj, prop))
/******/ 	})();
/******/ 	
/******/ 	/* webpack/runtime/make namespace object */
/******/ 	(() => {
/******/ 		// define __esModule on exports
/******/ 		__webpack_require__.r = (exports) => {
/******/ 			if(typeof Symbol !== 'undefined' && Symbol.toStringTag) {
/******/ 				Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });
/******/ 			}
/******/ 			Object.defineProperty(exports, '__esModule', { value: true });
/******/ 		};
/******/ 	})();
/******/ 	
/************************************************************************/
var __webpack_exports__ = {};
// This entry need to be wrapped in an IIFE because it need to be isolated against other modules in the chunk.
(() => {
/*!*********************!*\
  !*** ./src/pool.ts ***!
  \*********************/
__webpack_require__.r(__webpack_exports__);
/* harmony import */ var dotenv__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(/*! dotenv */ "dotenv");
/* harmony import */ var dotenv__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(dotenv__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var reflect_metadata__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(/*! reflect-metadata */ "reflect-metadata");
/* harmony import */ var reflect_metadata__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(reflect_metadata__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _cache__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(/*! ./cache */ "./src/cache.ts");
/* harmony import */ var _graphql_gql_s_pool_query_gql__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(/*! ./graphql/gql/s-pool-query.gql */ "./src/graphql/gql/s-pool-query.gql");
/* harmony import */ var _nodeFetch__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(/*! ./nodeFetch */ "./src/nodeFetch.ts");
/* harmony import */ var _config__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(/*! ./config */ "./src/config/index.ts");
/* harmony import */ var _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(/*! ./store/curd-insert */ "./src/store/curd-insert.ts");



if (process.env.ENV_FILE) {
    dotenv__WEBPACK_IMPORTED_MODULE_0__.config({ path: process.env.ENV_FILE });
}
// @ts-ignore




const initial = _config__WEBPACK_IMPORTED_MODULE_5__.config.S_START_SEQ;
const final = _config__WEBPACK_IMPORTED_MODULE_5__.config.S_END_SEQ;
const startJob = async () => {
    console.time("dbsave");
    try {
        await _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__.mongoClient.connect();
        const db = _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__.mongoClient.db('S_DATA');
        const coll = db.collection('pool');
        for (let i = initial; i < final; i++) {
            const data = await (0,_nodeFetch__WEBPACK_IMPORTED_MODULE_4__.fetchData)(_config__WEBPACK_IMPORTED_MODULE_5__.config.S_GRAPHQL_URL, _config__WEBPACK_IMPORTED_MODULE_5__.config.S_AUTHORIZATION_HEADER, _graphql_gql_s_pool_query_gql__WEBPACK_IMPORTED_MODULE_3__["default"], { poolId: i });
            // console.log('---data---', await data);
            // const data = { name: "Halley's Comet", officialName: "1P/Halley", orbitalPeriod: 75, radius: 3.4175, mass: 2.2e14 };
            const poolData = data?.data?.pool;
            if (poolData)
                await coll.insertOne(poolData);
        }
    }
    finally {
        console.log('imported with missing ones as follow');
        _cache__WEBPACK_IMPORTED_MODULE_2__["default"].printDetails();
        await _store_curd_insert__WEBPACK_IMPORTED_MODULE_6__.mongoClient.close();
        console.timeEnd("dbsave");
    }
};
startJob().catch(console.dir);

})();

module.exports = __webpack_exports__;
/******/ })()
;
//# sourceMappingURL=pool.js.map